LIGHTNING-WITHDRAW(7)

NAME
lightning-withdraw - Command for withdrawing funds from the internal wallet.

SYNOPSIS

withdraw destination satoshi [feerate]

DESCRIPTION

The withdraw RPC command sends funds from c-lightning’s internal wallet to the address specified in destination.

The address can be of any Bitcoin accepted type, including bech32.

satoshi is the amount to be withdrawn from the internal wallet (expressed, as name suggests, in satoshi). The string all can be used to specify withdrawal of all available funds.

feerate is an optional feerate to use. It can be one of the strings urgent, normal or slow to use lightningd’s internal estimates: normal is the default.

Otherwise, feerate is a number, with an optional suffix: perkw means the number is interpreted as satoshi-per-kilosipa (weight), and perkb means it is interpreted bitcoind-style as satoshi-per-kilobyte. Omitting the suffix is equivalent to perkb.

RETURN VALUE

On success, an object with attributes tx and txid will be returned.

tx represents the raw bitcoin, fully signed, transaction and txid represent the bitcoin transaction id.

On failure, an error is reported and the withdrawal transaction is not created.

The following error codes may occur:

    • -1. Catchall nonspecific error.

    • 301. There are not enough funds in the internal wallet (including fees) to create the transaction.

    • 302. The dust limit is not met.

AUTHOR

Felix <fixone@gmail.com> is mainly responsible.

SEE ALSO

lightning-listfunds(7), lightning-fundchannel(7), lightning-newaddr(7)

RESOURCES

Main web site: https://github.com/ElementsProject/lightning